Subject: Re: FAQ for beta 19
From: [email-masked] (Geoffrey Noer)

4 Mar 1998 18:15:45 -0800
Message-ID: <[email-masked]>
References: <X0000000025ca365@MHS>
Content-Type: text
To: [email-masked]
Cc: [email-masked]

[email-masked] wrote:
> 
> Hello,
> 
> I've translated the FAQ for beta 19 into Japanese, and I'd like
> to put it on my web site. May I make it public on my web site?
> I'm concerned about if there is anything problems relating
> copyrights.

You are welcome to translate the FAQ.  Let me know where it is and
I'll make a link to it on the project WWW page.

> (1) Is the texinfo version of the FAQ available? I couldn't find
> it on the project web site, neither in man/info package.

Yes.  It's in winsup/doc in the comp-tools sources.

> (2) The release notes says:
> > The globbing and getopt code has been replaced with BSD-derived
> > code.  The regexp code has been replaced with Harry Spencer's PD
> > implementation.
> 
> The author's name should be "Henry Spencer", I believe. and what
> is "PD" after? I don't think it means "Public Domain"...

Oops.  Did I get the name wrong?  I'll look into it...
Yes, PD = public domain.

> (3) about the description of version numbers, it says:
> > There is a cygwin.dll major version number which only changes when
> > incompatible changes are made to the way Cygwin32 uses the registry.
> > This has been "17" since the beta 16 release.
> 
> "19" in beta 19, right? And is this explanation correct? It
> seems that the description is same to the one for registry
> version. 

Sorry for the confusion.  The explanation in the FAQ is a combination
of completely out of date and wrong.  *sigh*  It should read:

----------- begin ------------

@section What version numbers are associated with Cygwin32?

There is a cygwin.dll major version number that gets incremented
every time we make a new gnu-win32 beta release available.  This
corresponds to the name of the release (e.g. beta 19's major
number is "19").

There is also a cygwin.dll minor version number.  If we release
an update of the library for an existing release, the minor number
would be incremented.

"uname -v" prints the cygwin.dll version numbers as major.minor.

Finally there is a Cygwin32 registry version number which only
changes when incompatible changes are made to the way Cygwin32
uses the registry.  This has been "B15.0" since the beta 16 release.

-------------- end -------------

> (4) There are a several duplicate sections. Is it intended to so?
> from: 
> <H1><A NAME="SEC86" HREF="faq_toc.html#TOC86">Known/potential problems</A></H1>
> to:
> <H2><A NAME="SEC91" HREF="faq_toc.html#TOC91">Mixed case filenames.</A></H2>

This is something I know about but haven't had time to fix yet.
Hopefully for b20...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".